<?xml version="1.0" encoding="UTF-8"?>
<ACTOR_DEFINITION desc_thai="นิยามผู้ทำงานระบบเวิรค์โฟล์" desc_eng="Actor Definition" editcheck="true" mainhelp="ACTOR_DEFINITIONHELP" referhelp="ACTOR_DEFINITIONHELP" mainkey="ACTOR_NAME" fieldsystem="*" protype="table" deleteflag="true" config_field="">
	<FIELD>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<ACTOR_NAME lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>50</WIDTH>
			<DESC_ENG>Actor Definition Name</DESC_ENG>
			<DESC_THAI>ชื่อนิยามผู้ทำงานในระบบ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_ENG>Actor Definition Name</ALT_ENG>
				<ALT_THAI>ชื่อนิยามผู้ทำงานในระบบ</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</ACTOR_NAME>
		<TDESC lang="T" encrypt="false" log="false" type="String">
			<REFER_LANG>EDESC</REFER_LANG>
			<WIDTH>255</WIDTH>
			<DESC_ENG>Actor Description (Thai)</DESC_ENG>
			<DESC_THAI>คำอธิบายผู้ทำงานในระบบ (ไทย)</DESC_THAI>
			<COMPONENT type="textarea">
				<LINES>3</LINES>
				<SIZECHAR>60</SIZECHAR>
				<ALT_ENG>Actor Description (Thai)</ALT_ENG>
				<ALT_THAI>คำอธิบายผู้ทำงานในระบบ (ไทย)</ALT_THAI>
			</COMPONENT>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="false" type="String">
			<REFER_LANG>TDESC</REFER_LANG>
			<WIDTH>255</WIDTH>
			<DESC_ENG>Actor Description (Eng.)</DESC_ENG>
			<DESC_THAI>คำอธิบายผู้ทำงานในระบบ (อังกฤษ)</DESC_THAI>
			<COMPONENT type="textarea">
				<LINES>3</LINES>
				<SIZECHAR>60</SIZECHAR>
				<ALT_ENG>Actor Description (Eng.)</ALT_ENG>
				<ALT_THAI>คำอธิบายผู้ทำงานในระบบ (อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EDESC>
		<CLASS_PATH lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Class</DESC_ENG>
			<DESC_THAI>คลาส</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>25</SIZE>
				<ALT_ENG>Class</ALT_ENG>
				<ALT_THAI>คลาส</ALT_THAI>
			</COMPONENT>
		</CLASS_PATH>
		<PARAM1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Parameter1</DESC_ENG>
			<DESC_THAI>ค่าพารามิเตอร์1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4000</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_ENG>Parameter1</ALT_ENG>
				<ALT_THAI>ค่าพารามิเตอร์1</ALT_THAI>
			</COMPONENT>
		</PARAM1>
		<PARAM2 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Parameter2</DESC_ENG>
			<DESC_THAI>ค่าพารามิเตอร์2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4000</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_ENG>Parameter2</ALT_ENG>
				<ALT_THAI>ค่าพารามิเตอร์2</ALT_THAI>
			</COMPONENT>
		</PARAM2>
		<PARAM3 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Parameter3</DESC_ENG>
			<DESC_THAI>ค่าพารามิเตอร์3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4000</MAXSIZE>
				<SIZE>45</SIZE>
				<ALT_ENG>Parameter3</ALT_ENG>
				<ALT_THAI>ค่าพารามิเตอร์3</ALT_THAI>
			</COMPONENT>
		</PARAM3>
		<ACTIVE lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Active</DESC_ENG>
			<DESC_THAI>ใช้งาน</DESC_THAI>
			<COMPONENT type="radio">
				<VALIDCODE>ACTORDEFSTATUS</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_THAI>ใช้งาน</ALT_THAI>
				<ALT_ENG>Active</ALT_ENG>
			</COMPONENT>
		</ACTIVE>
		<DEL lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Delete</DESC_ENG>
			<DESC_THAI>ลบทิ้ง</DESC_THAI>
			<COMPONENT type="radio">
				<VALIDCODE>ACTORDEFSTATUS</VALIDCODE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_THAI>Delete</ALT_THAI>
				<ALT_ENG>ลบทิ้ง</ALT_ENG>
			</COMPONENT>
		</DEL>
		<CREATED lang="A" encrypt="false" log="false" type="Long">
			<WIDTH>19</WIDTH>
			<DESC_ENG>Create Date</DESC_ENG>
			<DESC_THAI>วันที่สร้าง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>19</MAXSIZE>
				<SIZE>19</SIZE>
				<ALT_ENG>Create Date</ALT_ENG>
				<ALT_THAI>วันที่สร้าง</ALT_THAI>
			</COMPONENT>
		</CREATED>
	</FIELD>
	<RELATION>
		<!--WORKFLOW_DEFINITION>
			<PARENT>CATEGORY.COMPANYID</PARENT>
			<PARENT>CATEGORY.CATEGORY_ID</PARENT>
			<CHILD>WORKFLOW_DEFINITION.COMPANYID</CHILD>
			<CHILD>WORKFLOW_DEFINITION.CATEGORY_ID</CHILD>
		</WORKFLOW_DEFINITION>
		<FORM_DEFINITION>
			<PARENT>CATEGORY.COMPANYID</PARENT>
			<PARENT>CATEGORY.CATEGORY_ID</PARENT>
			<CHILD>FORM_DEFINITION.COMPANYID</CHILD>
			<CHILD>FORM_DEFINITION.CATEGORY_ID</CHILD>
		</FORM_DEFINITION-->
	</RELATION>
</ACTOR_DEFINITION>
